import { obtenerNombreModulo } from "../../../../assets/js/app/funcionesGenerales.js?v=2.0.0";
import metodosFetch from "../../../../assets/js/app/metodosFetch.js?v=2.0.0";

class Planilla {
  constructor({ correlativo, codtipoplanilla }) {
    this.correlativo = correlativo;
    this.codtipoplanilla = codtipoplanilla;
  }

  static async obtenerPorTipoPlanilla({ codtipoplanilla, anio = 0 }) {
    try {
      const respuesta = await metodosFetch.get({
        archivo: `controllers/planillaController`,
        modulo: obtenerNombreModulo(),
        parametros: {
          accion: "obtenerPorTipoPlanilla",
          codtipoplanilla,
          anio,
        },
        loader: false,
      });

      return respuesta;
    } catch (err) {
      throw err;
    }
  }
}

export default Planilla;
